package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.property.entity.TpMessageBoard;
import com.huiju.estateagents.property.entity.TpMessageReply;
import com.huiju.estateagents.property.vo.MessageBoardVO;

import java.util.Map;

public interface IMessageBoardService extends IService<TpMessageBoard> {
    /**
     * 获取留言板列表
     * @param page
     * @param orgId
     * @param communityId
     * @return
     */
    IPage<TpMessageBoard> getPagedBy(IPage<TpMessageBoard> page, Map<String, Object> params);

    IPage<TpMessageBoard> getByMsgId(IPage<TpMessageBoard> page, Integer orgId, Integer id);

    TpMessageBoard getByPersonId(Integer orgId, String personId);

    IPage<TpMessageReply> getReplyList(IPage<TpMessageReply> page, Integer orgId, Integer msgId);

    void saveMessageOrReply(MessageBoardVO params, Integer orgId, Integer userId, String personId) throws Exception;

    IPage<TpMessageBoard> getWxList(IPage<TpMessageBoard> page, Integer orgId, String personId);
}
